require_relative 'philosopher'
require_relative 'die'
require_relative 'epiphany_trove'
require_relative 'loaded_die'

module StudioGame
  module GameTurn
    def self.take_turn(player)
        die = Die.new
        case die.roll
        when 1..2
          player.blam
        when 3..4
          puts "\n#{player.name} was skipped." 
        else
          player.w00t
        end
    
      epiphany = EpiphanyTrove.random
      player.discovered_epiphanies(epiphany)
    end
  end
end