module StudioGame
  Epiphany = Struct.new(:name, :points)
end

module StudioGame
  module EpiphanyTrove
    EPIPHANIES = [
      Epiphany.new(:sloppy_thinking, -100),
      Epiphany.new(:berserker_knowledge, 2),
      Epiphany.new(:that_the_unexamined_life_is_not_worth_living, 5),
      Epiphany.new(:the_problem_of_the_one_and_the_many, 20),
      Epiphany.new(:logic, 30),
      Epiphany.new(:an_indubitable_truth, 50),
      Epiphany.new(:the_authentic_self, 80),
      Epiphany.new(:a_monad, 100),
      Epiphany.new(:why_something_exists_rather_than_nothing, 150),
      Epiphany.new(:the_problem_of_induction, 200),
      Epiphany.new(:the_distinction_between_the_noumena_and_the_phenomena, 400)
    ]
  
    def self.random
      EPIPHANIES.sample
    end
  end
end